#!/bin/sh

# MadVersion=MG_ME_SA_V4.4.26
MadVersion=MG_ME_SA_V4.4.30

HOMEPATH=`pwd`
echo 'Package home'
echo $HOMEPATH

# Confirm user will
if [ -d $HOMEPATH/process ]
then
dirnum=`ls $HOMEPATH/process| wc -l`
else
dirnum=-1
fi

if [ $dirnum -gt 0 ]
then
echo "$dirnum directory exist in process"
echo 'Do you wish to eliminate all them and to install agian <y or n> ?'
read ANSWER
echo

 if [ $ANSWER = 'n' ]
  then
   echo 'Install is cancelled'
   exit
 fi

 if [ ! $ANSWER = 'y' ]
  then
  echo 'You typed an invalid character'
  exit
 fi        

 if [ $ANSWER = 'y' ]
  then
  echo 'Install is required'
 fi

elif [ $dirnum -eq 0 ]
then
 echo 'No directory in process'
fi


# Start install\
echo 'Install is starting'
echo 'Eliminating directory'
rm -fr process
rm -fr patch
rm -fr MadEvent
echo 'Creating directory'
mkdir process
mkdir patch
echo 'Constructing user file'
cp -f ./lib/math/driver_user_default.m ./driver_user.m
cp -f ./lib/math/parameter_default.m ./parameter.m
echo 'Constructing patch directory'
if [ -f $MadVersion.tar.gz ]
then
gunzip $MadVersion.tar.gz
fi
tar xf $MadVersion.tar
cd $MadVersion
cp -r Template MyProcDir
cd $HOMEPATH
ln -s $MadVersion MadEvent
cd $HOMEPATH/patch/
ln -sf $HOMEPATH/MadEvent/HELAS .
ln -sf $HOMEPATH/MadEvent/MGMEVersion.txt .
ln -sf $HOMEPATH/MadEvent/README .	
ln -sf $HOMEPATH/MadEvent/Template .
mkdir Models
cp -fr $HOMEPATH/MadEvent/Models/sm ./Models/
mkdir MadGraphII
cd MadGraphII
ln -sf $HOMEPATH/MadEvent/MadGraphII/* .
cd ../
cp -fr $HOMEPATH/MadEvent/MyProcDir/ .
cd $HOMEPATH

# Copy the process-independent patch files to ./patch
rm -f $HOMEPATH/patch/MadGraphII/writeamp.f
rm -f $HOMEPATH/patch/MadGraphII/makefile
rm -f $HOMEPATH/patch/MyProcDir/SubProcesses/check_sa.f
rm -f $HOMEPATH/patch/MyProcDir/bin/newprocess

cp -f $HOMEPATH/lib/patch/writeamp.f $HOMEPATH/patch/MadGraphII/writeamp.f
cp -f $HOMEPATH/lib/patch/makefile $HOMEPATH/patch/MadGraphII/makefile
cp -f $HOMEPATH/lib/patch/check_sa.f $HOMEPATH/patch/MyProcDir/SubProcesses/check_sa.f
cp -f $HOMEPATH/lib/patch/newprocess $HOMEPATH/patch/MyProcDir/bin/newprocess

ed $HOMEPATH/patch/Models/sm/couplings.f << EOF
,s/parameter( Rt2   = 1.414213562d0 )/parameter( Rt2   = 1.4142135623730951d0 )/g
wq
EOF

# HELAS compile into ./lib/fortan/ and copy it to ./patch/MyProcDir/lib/
cd $HOMEPATH/$MadVersion
echo `pwd`
mkdir HELAS_patch
cp -r HELAS/* HELAS_patch/
cd HELAS_patch
echo `pwd`
make
cp ./lib/libdhelas3.a $HOMEPATH/patch/MyProcDir/lib/
cd ../
echo `pwd`
rm -rf HELAS_patch
cd $HOMEPATH

echo 'Install is done'

